Summary:	User and Group admin tools for Samba-OpenLDAP
Name:		smbldap-tools
version:	0.8.5
Release:	1
Group:		System Environment/Base
License:	GPL
URL:		http://samba.idealx.org/
Source0:	%{name}-%{version}.tgz
Patch0:		smbldap_tool.pm.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl >= 5.8.0
Requires:	perl >= 5.8.0
Requires:	openldap-clients >= 2.1.22
Requires:	samba >= 3.0.5
BuildArch:	noarch

%description
A collection of scripts user{add,del,mod} and group{add,del,mod}
as system tools to manipulate users and groups stored in LDAP
directory for systems like SAMBA-LDAP and pam/nss_ldap.
Additionaly, some scripts are designed to ease your migration
from a Windows NT 4.0 PDC Server to a Samba-LDAP PDC Server.


%prep
%setup -q
%patch0 -p1 -b .idmap


%build
# Fix path /usr/local -> /usr
perl -i -pe 's/usr\/local/usr/' smbldap-migrate-*
perl -i -pe 's/usr\/local/usr/' smb.conf
perl -i -pe 's/usr\/local/usr/' INSTALL


%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}

install smbldap.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install smbldap_bind.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install smbldap-* $RPM_BUILD_ROOT%{_sbindir}
install smbldap_tools.pm $RPM_BUILD_ROOT%{_sbindir}
install configure.pl $RPM_BUILD_ROOT%{_sbindir}


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
# Domain Admins has RID=512
chgrp 512 %{_sbindir}/smbldap-useradd


%files
%defattr(0644,root,root,0755)
%doc ChangeLog CONTRIBUTORS COPYING FILES INFRA INSTALL README TODO
%doc doc/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/smbldap.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/%{name}/smbldap_bind.conf
%attr(0550,root,root) %{_sbindir}/smbldap-groupadd
%attr(0550,root,root) %{_sbindir}/smbldap-groupdel
%attr(0550,root,root) %{_sbindir}/smbldap-groupmod
%attr(0555,root,root) %{_sbindir}/smbldap-groupshow
%attr(0550,root,root) %{_sbindir}/smbldap-useradd
%attr(0550,root,root) %{_sbindir}/smbldap-userdel
%attr(0550,root,root) %{_sbindir}/smbldap-usermod
%attr(0555,root,root) %{_sbindir}/smbldap-usershow
%attr(0555,root,root) %{_sbindir}/smbldap-passwd
%attr(0550,root,root) %{_sbindir}/smbldap-populate
%attr(0550,root,root) %{_sbindir}/smbldap-migrate-accounts
%attr(0550,root,root) %{_sbindir}/smbldap-migrate-groups
%attr(0555,root,root) %{_sbindir}/smbldap_tools.pm
%attr(0755,root,root) %{_sbindir}/configure.pl


%changelog
* Tue Oct 5 2004 Petr Kritof <Petr|Kristof_CZ> 0.8.5-1
- Update to 0.8.5
- Build on FC-2

* Tue Mar 9 2004 Petr Kritof <Petr|Kristof_CZ> 0.8.4-1
- Update to 0.8.4

* Sat Jan 24 2004 Petr Kritof <Petr|Kristof_CZ>
- Update to 0.8.3

* Wed Dec 31 2003 Petr Kritof <Petr|Kristof_CZ>
- Build on FC-1
- Based on idealx.com .spec file
- Version 0.8.2
- Initial release

